
#include <iostream>

using namespace std;

int main ()
{

    long long l;
    long long m;
    long long n;
    long long br = 0;
    long long s = 0;
    long long a;
    long long b;

    cin >> l >> m >> n;

    for (a = m; a <= l; a += n)
    {
        b = a + n;
    }

    for (int i = m; i <= b; i += n) {
        do {
            s += i;

            br ++;
        }while (s <= l);
    }

    cout << br;

    return 0;
}
